Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class AMQP.Connection.Start.Builder

    java.lang.Object
      com.rabbitmq.client.AMQP.Connection.Start.Builder

Enclosing interface:
  AMQP.Connection.Start

    public static final class AMQP.Connection.Start.Builder

extends java.lang.Object

Constructor Summary
`AMQP.Connection.Start.Builder()`

Method Summary
`AMQP.Connection.Start` | `build()`
`AMQP.Connection.Start.Builder` | `locales(LongString locales)`
`AMQP.Connection.Start.Builder` | `locales(java.lang.String locales)`
`AMQP.Connection.Start.Builder` | `mechanisms(LongString mechanisms)`
`AMQP.Connection.Start.Builder` | `mechanisms(java.lang.String mechanisms)`
`AMQP.Connection.Start.Builder` | `serverProperties(java.util.Map<java.lang.String,java.lang.Object> serverProperties)`
`AMQP.Connection.Start.Builder` | `versionMajor(int versionMajor)`
`AMQP.Connection.Start.Builder` | `versionMinor(int versionMinor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMQP.Connection.Start.Builder

    public AMQP.Connection.Start.Builder()

Method Detail

### versionMajor

    public AMQP.Connection.Start.Builder versionMajor(int versionMajor)

### versionMinor

    public AMQP.Connection.Start.Builder versionMinor(int versionMinor)

### serverProperties

    public AMQP.Connection.Start.Builder serverProperties(java.util.Map<java.lang.String,java.lang.Object> serverProperties)

### mechanisms

    public AMQP.Connection.Start.Builder mechanisms(LongString mechanisms)

### mechanisms

    public AMQP.Connection.Start.Builder mechanisms(java.lang.String mechanisms)

### locales

    public AMQP.Connection.Start.Builder locales(LongString locales)

### locales

    public AMQP.Connection.Start.Builder locales(java.lang.String locales)

### build

    public AMQP.Connection.Start build()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD